name: XLR-18P-2-N3B
description: XLR connector, 3-pin, female
datasheet: https://datasheet.lcsc.com/lcsc/2005251832_JINJIA-XLR-18P-2-N3B_C558734.pdf

pinout:
  PINS: 1-3

properties:
  passive: 1-3

schematic:
  symbol: connector
  right: PINS

housing:
  pattern: custom
  height: 25.3
  bodyLength: 22.2
  bodyWidth: 25.3
  bodyPosition: 0, 8.4
  silkscreen: M -10.8, -11.1, 10.8, -11.1, 10.8, -8.4, -10.8, -8.4, -10.8, -11.1
  
  model: # modified from https://grabcad.com/library/neutrik-xlr-nc3fah2-1
    file: "library/connector/xlr-18p-2-n3b.step"
    rotation: -90,0,0
    position: 0,8.4,0
  
  # XLR pins 1-2
  holeDiameter: 1.6
  padDiameter: 2.2
  padPosition: -3.81, 12.7, 3.81, 13.335

  # XLR pins 3
  holeDiameter1: 1.2
  padDiameter1: 1.8
  padPosition1: 0, 17.15

  # mounting hold
  holeDiameter2: 1.6
  padDiameter2: 0
  padPosition2: 3.81, 8.89, -3.81, 3.81
